## psb_normi -- Infinity-Norm of Vector

This function computes the infinity-norm of a vector .
If is a real vector it computes infinity norm as:

else if is a complex vector then it computes the infinity-norm as:

    psb_geamax(x, desc_a, info)
    psb_normi(x, desc_a, info)

Table 4: Data types

|  | Function
Short Precision Real | Short Precision Real | psb_geamax
Long Precision Real | Long Precision Real | psb_geamax
Short Precision Real | Short Precision Complex | psb_geamax
Long Precision Real | Long Precision Complex | psb_geamax

Type:
  Synchronous.
On Entry
x
  the local portion of global dense matrix .
  Scope: local
  Type: required
  Intent: in.
  Specified as: a rank one or two array or an object of type vdata`psb_T_vect_type` containing numbers of type specified in Table 4.
desc_a
  contains data structures for communications.
  Scope: local
  Type: required
  Intent: in.
  Specified as: an object of type descdata`psb_desc_type`.

On Return
Function value
  is the infinity norm of subvector .
  Scope: global
  Specified as: a long precision real number.
info
  Error code.
  Scope: local
  Type: required
  Intent: out.
  An integer value; 0 means no error has been detected.